

// map : 0° is north ; geometry : 0° is east
var pan:Number = _panorama.projection.pan-90;
var fov:Number = _panorama.projection.fieldOfView;
var point:Coordinate = _map.view.toPixel(_locationLocal);

var pointsPerArc:int = 12;
var start:Number = pan-(fov/2);
var stop:Number = pan+(fov/2);
var innerArcDistance:Number = 8;
var outerArcDistance:Number = 40;

this.graphics.clear();
this.graphics.lineStyle(1,_colorDark,2.0);
this.graphics.beginFill(_color,0.9);

//
// Inner Arc
//

var i:int;
for (i=0;i<pointsPerArc;i++)
{
	var a:Number = start+(i*((stop-start)/pointsPerArc));
	var x:Number = point.x+(Math.cos(Angles.DEG_TO_RAD*a)*innerArcDistance);
	var y:Number = point.y+(Math.sin(Angles.DEG_TO_RAD*a)*innerArcDistance);
	if (i==0) this.graphics.moveTo(x,y);
	else this.graphics.lineTo(x,y);
}

//
// Outer Arc
//

for (i=pointsPerArc;i>0;i--)
{
	var a:Number = start+(i*((stop-start)/pointsPerArc));
	var x:Number = point.x+(Math.cos(Angles.DEG_TO_RAD*a)*outerArcDistance);
	var y:Number = point.y+(Math.sin(Angles.DEG_TO_RAD*a)*outerArcDistance);
	this.graphics.lineTo(x,y);
}

this.graphics.endFill();

//
// Centerline
//

var x = point.x+(Math.cos(Angles.DEG_TO_RAD*pan)*(outerArcDistance*0.80));
var y = point.y+(Math.sin(Angles.DEG_TO_RAD*pan)*(outerArcDistance*0.80));
var x2 = point.x+(Math.cos(Angles.DEG_TO_RAD*pan)*(outerArcDistance*1.05));
var y2 = point.y+(Math.sin(Angles.DEG_TO_RAD*pan)*(outerArcDistance*1.05));
this.graphics.moveTo(x,y);
this.graphics.lineTo(x2,y2);

//
// ViewerID
//

var x = point.x+(Math.cos(Angles.DEG_TO_RAD*pan)*(outerArcDistance*0.50));
var y = point.y+(Math.sin(Angles.DEG_TO_RAD*pan)*(outerArcDistance*0.50));
_textfield.x = x;
_textfield.y = y;
_textfield.text = _panorama.viewerId;
_textfield.visible = true;